Subject: bug#62591: Package Racket (v8.8) crashes with "munmap_chunk(): invalid pointer"

From: "Spacek, Jiri" <[email-masked]>
Date: Wed, 5 Apr 2023 16:35:12 +0000

Hi,

I've run into the same problem and found out it does not occur when I run it 
as an executable file (relative or abs. path works). Never seen anything like it and 
I don't know if I care enough to dig deeper into this issue
 (there are more problems with racket pkg in guix than this unfortunately) but
 someone might find it interesting...
 
user@mypc ~# racket
free(): invalid pointer
Aborted

user@mypc ~$ which racket
/run/current-system/profile/bin/racket

user@mypc ~$ /run/current-system/profile/bin/racket
Welcome to Racket v8.8 [cs].

Cheers,
George